Bug 475885 - no gnome-settings-daemon when logged in with AutomaticLogin
no gnome-settings-daemon when logged in with AutomaticLogin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 17:03 EST by Jonathan Kamens
Modified: 2015-01-14 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2008-12-10 17:03:27 EST
When gdm is configured in /etc/gdm/custom.conf to log in a user automatically, gnome-settings-daemon doesn't start up when the user logs in, so stuff isn't set up properly.  Running /usr/libexec/gnome-settings-daemon by hand after logging in seems to solve the problem, although there may be lurking issues remaining.
Comment 1 Ray Strode [halfline] 2008-12-10 17:27:56 EST
are you sure it's automatic login that's the problem?

Were you possibly hit by the bug Behdad mentioned in his blog post here:

http://mces.blogspot.com/2008/12/improving-login-time-part-3.html

?
Comment 2 Jonathan Kamens 2008-12-10 17:35:20 EST
That's way too much for me to grok.

All I know is that when I log in automatically -- no gnome-settings daemon -- and when I log in by typing my password -- gnome-settings-daemon is running correctly.
Comment 3 Jonathan Kamens 2008-12-11 22:14:02 EST
This doesn't happen every time, so you may be right that it has something to do with that other issue.  Today when I rebooted and automatic login happened, my settings daemon was running like it should have been.  But I still didn't have SSH agent functionality, so that other bug seems to be reliable.
Comment 4 Bug Zapper 2009-06-09 06:13:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:30:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:56:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.